Bug 621037 - Review Request: perl-MooseX-MultiMethods - Multi Method Dispatch based on Moose type constraints
Summary: Review Request: perl-MooseX-MultiMethods - Multi Method Dispatch based on Moo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Mu...
Whiteboard:
Depends On: 619332
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 05:02 UTC by Iain Arnell
Modified: 2010-09-08 04:29 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-MultiMethods-0.10-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:29:11 UTC
ppisar: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-08-04 05:02:19 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-MultiMethods.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-MultiMethods-0.10-1.fc15.src.rpm

Description:
This module provides multi method dispatch based on Moose type constraints.
It does so by providing a multi keyword that extends the method keyword
provided by MooseX::Method::Signatures.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2378452

*rt-0.10_01

Comment 1 Petr Pisar 2010-08-04 11:45:34 UTC
Sources match upstream.
License verified from MultiMethods.pm.
Homepage verified.
Description verified.
BuldRequires and Requiers verified.
Spec file in line with generic and Perl specific packaging guidelines.
All tests pass.
Builds in dist-f15 buildroot.

# rpmlint perl-MooseX-MultiMethods.spec ../SRPMS/perl-MooseX-MultiMethods-0.10-1.fc14.src.rpm ../RPMS/noarch/perl-MooseX-MultiMethods-0.10-1.fc14.noarch.rpm
perl-MooseX-MultiMethods.spec: W: no-cleaning-of-buildroot %clean
perl-MooseX-MultiMethods.spec: W: no-buildroot-tag
perl-MooseX-MultiMethods.spec: W: no-%clean-section
perl-MooseX-MultiMethods.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
perl-MooseX-MultiMethods.src: W: spelling-error %description -l en_US multi -> mulch, mufti
perl-MooseX-MultiMethods.src: W: no-cleaning-of-buildroot %clean
perl-MooseX-MultiMethods.src: W: no-buildroot-tag
perl-MooseX-MultiMethods.src: W: no-%clean-section
perl-MooseX-MultiMethods.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
perl-MooseX-MultiMethods.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 1 specfiles checked; 0 errors, 10 warnings.

The on-%clean and no-buildroot warnings are bogus because this is post-EPEL-5 package.
The spelling warnings are bogus either.
rpmlint considered happy.

# rpm -pq  --requires ../RPMS/noarch/perl-MooseX-MultiMethods-0.10-1.fc14.noarch.rpm  |sort |uniq -d
perl(aliased)  
perl(Devel::PartialDump)  
perl(Moose)  
perl(MooseX::Types::Moose)  
perl(namespace::autoclean)  
perl(Sub::Install)

These run-time dependencies are double-specified as they are auto-detected by rpmbuild. Packager is advised to remove corresponding explicit Requires statements from spec file.

# rpm -pq -lv ../RPMS/noarch/perl-MooseX-MultiMethods-0.10-1.fc14.noarch.rpm
drwxr-xr-x    2 root    root                        0 srp  4 13:15 /usr/share/doc/perl-MooseX-MultiMethods-0.10
-rw-r--r--    1 root    root                     1395 led  3  2010 /usr/share/doc/perl-MooseX-MultiMethods-0.10/Changes
-rw-r--r--    1 root    root                    18261 led  3  2010 /usr/share/doc/perl-MooseX-MultiMethods-0.10/LICENSE
-rw-r--r--    1 root    root                      327 led  3  2010 /usr/share/doc/perl-MooseX-MultiMethods-0.10/README
-rw-r--r--    1 root    root                      441 led  3  2010 /usr/share/doc/perl-MooseX-MultiMethods-0.10/dist.ini
-rw-r--r--    1 root    root                     2441 srp  4 13:15 /usr/share/man/man3/MooseX::MultiMethods.3pm.gz
-rw-r--r--    1 root    root                     1926 srp  4 13:15 /usr/share/man/man3/MooseX::MultiMethods::Meta::Method.3pm.gz
drwxr-xr-x    2 root    root                        0 srp  4 13:15 /usr/share/perl5/MooseX
drwxr-xr-x    2 root    root                        0 srp  4 13:15 /usr/share/perl5/MooseX/MultiMethods
-rw-r--r--    1 root    root                     4887 led  3  2010 /usr/share/perl5/MooseX/MultiMethods.pm
drwxr-xr-x    2 root    root                        0 srp  4 13:15 /usr/share/perl5/MooseX/MultiMethods/Meta
-rw-r--r--    1 root    root                     1816 led  3  2010 /usr/share/perl5/MooseX/MultiMethods/Meta/Method.pm

File system layout and file attributes are correct.

Package APPROVED.

Comment 2 Iain Arnell 2010-08-04 14:38:52 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-MultiMethods
Short Description: Multi Method Dispatch based on Moose type constraints
Owners: iarnell
Branches: F-13 F-14
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-08-05 17:11:28 UTC
Git done (by process-git-requests).

Comment 4 Iain Arnell 2010-08-06 03:14:36 UTC
Imported and built in rawhide. Waiting for perl-MooseX-Types-VariantTable on branch(es).

Comment 5 Fedora Update System 2010-08-30 03:19:01 UTC
perl-MooseX-MultiMethods-0.10-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-MooseX-MultiMethods-0.10-2.fc14

Comment 6 Fedora Update System 2010-08-30 19:40:11 UTC
perl-MooseX-MultiMethods-0.10-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-MultiMethods'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-MooseX-MultiMethods-0.10-2.fc14

Comment 7 Fedora Update System 2010-09-08 04:29:06 UTC
perl-MooseX-MultiMethods-0.10-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.